Analytics & Insights API
POST /services/analytics/v1/project/session-reads Auth

Request Body Required

FieldTypeRequiredDescriptionExample
start_date string (date-time) Yes
end_date string (date-time) Yes
page integer
min: 1
No
per_page integer
min: 1 max: 20
No
min_time_spend number
min: 0
No

Responses

200
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Unauthenticated โ€” missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden โ€” insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests โ€” rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/analytics/v1/project/session-reads" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "start_date": "string",
    "end_date": "string",
    "page": 0,
    "per_page": 0,
    "min_time_spend": 0
}'
fetch('https://api.wemasy.nl/api/services/analytics/v1/project/session-reads', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "start_date": "string",
    "end_date": "string",
    "page": 0,
    "per_page": 0,
    "min_time_spend": 0
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/analytics/v1/project/session-reads', {
    "start_date": "string",
    "end_date": "string",
    "page": 0,
    "per_page": 0,
    "min_time_spend": 0
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "start_date": "string",
    "end_date": "string",
    "page": 0,
    "per_page": 0,
    "min_time_spend": 0
}
r = requests.post("https://api.wemasy.nl/api/services/analytics/v1/project/session-reads", headers=headers, json=data)
print(r.json())

Try It
Request Body Required

Export